net.minecraft.network.play.server

## Class S27PacketExplosion

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S27PacketExplosion

-     public class S27PacketExplosion
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S27PacketExplosion()`
    `S27PacketExplosion(double p_i45193_1_, double p_i45193_3_, double p_i45193_5_, float p_i45193_7_, java.util.List p_i45193_8_, Vec3 p_i45193_9_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `func_149143_g()`
    `float` | `func_149144_d()`
    `double` | `func_149145_h()`
    `float` | `func_149146_i()`
    `float` | `func_149147_e()`
    `double` | `func_149148_f()`
    `float` | `func_149149_c()`
    `java.util.List` | `func_149150_j()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149151_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S27PacketExplosion

          public S27PacketExplosion()

    - #### S27PacketExplosion

          public S27PacketExplosion(double p_i45193_1_,
                            double p_i45193_3_,
                            double p_i45193_5_,
                            float p_i45193_7_,
                            java.util.List p_i45193_8_,
                            Vec3 p_i45193_9_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149151_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`

    - #### func_149149_c

          public float func_149149_c()

    - #### func_149144_d

          public float func_149144_d()

    - #### func_149147_e

          public float func_149147_e()

    - #### func_149148_f

          public double func_149148_f()

    - #### func_149143_g

          public double func_149143_g()

    - #### func_149145_h

          public double func_149145_h()

    - #### func_149146_i

          public float func_149146_i()

    - #### func_149150_j

          public java.util.List func_149150_j()